Skip to content

System Info

GET
/api/v1/system/info
curl --request GET \
--url https://example.com/api/v1/system/info

Return system information for the health dashboard (SystemInfoOut).

Successful Response

Media typeapplication/json
SystemInfoOut

Response for GET /api/v1/system/info — self-hoster health dashboard.

object
app_name
required
App Name
string
backend_version
required
Backend Version
string
account_count
required
Account Count
integer
snapshot_count
required
Snapshot Count
integer
institution_count
required
Institution Count
integer
category_count
required
Category Count
integer
holding_count
required
Holding Count
integer
savings_goal_count
required
Savings Goal Count
integer
budget_count
required
Budget Count
integer
transaction_count
required
Transaction Count
integer
recurring_snapshot_count
required
Recurring Snapshot Count
integer
currency_count
required
Currency Count
integer
first_snapshot
required
Any of:
string
last_snapshot
required
Any of:
string
snapshots_per_month
required
Any of:
integer
db_type
required
Db Type
string
db_size_mb
required
Any of:
number
auth_mode
required
Auth Mode
string
worker_mode
required
Worker Mode
string
token_count
required
Token Count
integer
webhook_count
required
Webhook Count
integer
audit_log_count
required
Audit Log Count
integer
last_login
required
Any of:
string
exchange_rate_count
required
Exchange Rate Count
integer

Example generated

{
"app_name": "example",
"backend_version": "example",
"account_count": 1,
"snapshot_count": 1,
"institution_count": 1,
"category_count": 1,
"holding_count": 1,
"savings_goal_count": 1,
"budget_count": 1,
"transaction_count": 1,
"recurring_snapshot_count": 1,
"currency_count": 1,
"first_snapshot": "example",
"last_snapshot": "example",
"snapshots_per_month": 1,
"db_type": "example",
"db_size_mb": 1,
"auth_mode": "example",
"worker_mode": "example",
"token_count": 1,
"webhook_count": 1,
"audit_log_count": 1,
"last_login": "example",
"exchange_rate_count": 1
}